org.apache.sling.event.jobs

## Interface JobBuilder

    @ProviderType
    public interface JobBuilder

This is a builder interface to build jobs and scheduled jobs. Instances of this class can be retrieved using `JobManager.createJob(String)`

Since:
  1.3

### Nested Class Summary

Nested Classes
`static interface` `JobBuilder.ScheduleBuilder` This is a builder interface for creating schedule information

### Method Summary

All Methods Instance Methods Abstract Methods
`Job` `add()` Add the job.
`Job` `add(List<String> errors)` Add the job.
`JobBuilder` `properties(Map<String,Object> props)` Set the optional configuration properties for the job.
`JobBuilder.ScheduleBuilder` `schedule()` Schedule the job

### Method Detail

#### properties

    JobBuilder properties(Map<String,Object> props)

Set the optional configuration properties for the job.

Parameters:
  `props` - The properties of the job. All values must be `java.io.Serializable`.
Returns:
  The job builder to continue building.

#### add

    Job add()

Add the job.

Returns:
  The job or `null`
See Also:
  `JobManager.addJob(String, Map)`

#### add

    Job add(List<String> errors)

Add the job.

Parameters:
  `errors` - Optional list which will be filled with error messages.
Returns:
  The job or `null`
See Also:
  `JobManager.addJob(String, Map)`

#### schedule

    JobBuilder.ScheduleBuilder schedule()

Schedule the job

Returns:
  A schedule builder to schedule the jobs